package com.bocloud.nms.model.veeam.job;

public class EmailCustomNotificationType {

    private String subject;
    private boolean notifyOnSuccess;
    private boolean notifyOnWarning;
    private boolean notifyOnError;
    private boolean SuppressNotificationUntilLastRetry;

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public boolean isNotifyOnSuccess() {
        return notifyOnSuccess;
    }

    public void setNotifyOnSuccess(boolean notifyOnSuccess) {
        this.notifyOnSuccess = notifyOnSuccess;
    }

    public boolean isNotifyOnWarning() {
        return notifyOnWarning;
    }

    public void setNotifyOnWarning(boolean notifyOnWarning) {
        this.notifyOnWarning = notifyOnWarning;
    }

    public boolean isNotifyOnError() {
        return notifyOnError;
    }

    public void setNotifyOnError(boolean notifyOnError) {
        this.notifyOnError = notifyOnError;
    }

    public boolean isSuppressNotificationUntilLastRetry() {
        return SuppressNotificationUntilLastRetry;
    }

    public void setSuppressNotificationUntilLastRetry(boolean suppressNotificationUntilLastRetry) {
        SuppressNotificationUntilLastRetry = suppressNotificationUntilLastRetry;
    }

    @Override public String toString() {
        return "EmailCustomNotificationType{" + "subject='" + subject + '\'' + ", notifyOnSuccess=" + notifyOnSuccess
            + ", notifyOnWarning=" + notifyOnWarning + ", notifyOnError=" + notifyOnError
            + ", SuppressNotificationUntilLastRetry=" + SuppressNotificationUntilLastRetry + '}';
    }
}
